%define section         free

Summary:        ObjectWeb Ant task
Name:           objectweb-anttask
Version:        1.3.2
Release:        6
Epoch:          0
Group:          Development/Java
License:        LGPL
URL:            http://forge.objectweb.org/projects/monolog/
BuildArch:      noarch
BuildRequires:  java-devel
Source0:        http://download.fr2.forge.objectweb.org/monolog/ow_util_ant_tasks_%{version}.tar.bz2
Patch0:         objectweb-anttask-1.3.2-filesets.patch
BuildRequires:  ant
BuildRequires:  java-rpmbuild
BuildRequires:  xalan-j2
BuildRequires:  asm2
Provides:       owanttask = %{epoch}:%{version}-%{release}

%description
ObjectWeb Ant task

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -c -q -n %{name}
%patch0 -p1
%remove_java_binaries

%build
export CLASSPATH=$(build-classpath xalan-j2 asm2/ )
export OPT_JAR_LIST=:
%{ant} jar jdoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}

install -m 644 output/lib/ow_util_ant_tasks.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
pushd %{buildroot}%{_javadir}
  ln -sf %{name}-%{version}.jar %{name}.jar
popd

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -a output/jdoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}



%changelog

* Mon Jun 15 2015 Denis Silakov <denis.silakov@rosalab.ru> 0:1.3.2-6
- (0e6fc5a) Rebuild with Java8


